#version 430

layout (location = 2) out vec4 Depth;

in float out_fDepthVS;

void main() {
    // Negate and divide by distance to far-clip plane
    // (so that depth is in range [0,1])
    // This is for right-handed coordinate system,
    // for left-handed negating is not necessary.
    //float fDepth = -in_fDepthVS/g_fFarClip;
	Depth = vec4(out_fDepthVS, out_fDepthVS, out_fDepthVS, 1.0f);
}