#version 430

in vec4 position;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
            
out float out_fDepthVS;

void main() {    
    // Figure out the position of the vertex in
    // view space and clip space

	mat4 matWorldView = model * view;
    vec4 vPositionVS = position * matWorldView;

    gl_Position = vPositionVS * projection;
    out_fDepthVS = vPositionVS.z;
}