#version 430 core

in vec3 worldNormal;
in vec2 fragmentUV;

layout(location = 0) out vec4 fragColor;

uniform sampler2D colorTexture;
uniform vec3 colorChange;

void main(){
	fragColor = texture(colorTexture, fragmentUV).rgba + vec4(colorChange, 0) + 0*vec4(worldNormal, 1.0);
}